#ifndef TARTANALOOPNEBULA_HH
#define TARTANALOOPNEBULA_HH

#include <iostream>

#include "TH1.h"

#include "TArtAnaLoop.hh"

#include "TArtCalibNEBULA.hh"
#include "TArtNEBULAPla.hh"
#include "TArtNEBULAPlaPara.hh"
#include "TArtNEBULAParameters.hh"

class TArtAnaLoopNEBULA : public TArtAnaLoop
{
  friend class TArtAnaLoop;

public:
  TArtAnaLoopNEBULA();
  ~TArtAnaLoopNEBULA();

  const char* ClassName() const;

protected:
  void Construct();
  void Calculate();
  void Destruct();

  TArtCalibNEBULA *calibnebula;
  TArtNEBULAParameters *nebulaparameters;

  TH1 *h1id;
  TH1 *h1tu, *h1td, *h1qu, *h1qd;
  TH1 *h2idtu, *h2idtd, *h2idqu, *h2idqd;

  ClassDef(TArtAnaLoopNEBULA,1);
};

#endif
